Package htsjdk.samtools.cram.encoding.reader

# Class DataSeriesReader<T>

java.lang.Object
htsjdk.samtools.cram.encoding.reader.DataSeriesReader<T>

Type Parameters:
  `T` - data type of the series to be read.

public final class DataSeriesReader<T> extends Object
A CRAM Data Series reader for a particular (Encoding, DataSeriesType) and associated parameters

## Constructor Summary

Constructors
Constructor
Description
`DataSeriesReader(DataSeriesType valueType, EncodingDescriptor encodingDescriptor, SliceBlocksReadStreams sliceBlocksReadStreams)`
Initialize a Data Series reader

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSeriesReader

public DataSeriesReader(DataSeriesType valueType, EncodingDescriptor encodingDescriptor, SliceBlocksReadStreams sliceBlocksReadStreams)
Initialize a Data Series reader

Parameters:
  `valueType` - type of the data to read
  `encodingDescriptor` - encoding-specific parameters
  `sliceBlocksReadStreams` - each DataSeries object uses its encoding descriptor/id to choose the stream to consume from amongst the various streams in the SliceBlocksReadStreams